%global git_date  20250221
%global git_hash  b9953723
%global git_ver  12

%global rel  1

%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz

Name:           picom
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        A lightweight compositor for X11 (previously a compton fork)

License:        MIT and MPLv2.0
URL:            https://github.com/yshui/picom
Source0:	%{url}/%{src_name}

BuildRequires: libxdg-basedir-devel
BuildRequires: uthash-devel
BuildRequires: pixman-devel
BuildRequires: xcb-util-image-devel
BuildRequires: xcb-util-renderutil-devel
BuildRequires: libev-devel
BuildRequires: cmake
BuildRequires: meson
BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(libconfig)
BuildRequires: pcre-devel
BuildRequires: pkgconfig(libdrm)
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libEGL-devel
BuildRequires: pkgconfig(dbus-1)
#BuildRequires: asciidoc
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pcre2-devel
BuildRequires: pkgconfig(epoxy)

#Requires: xorg-x11-utils
#Requires: hicolor-icon-theme


Obsoletes: compton <= 0.1
Obsoletes: compton-ng <= 7.4

%description
A lightweight compositor for X11 (previously a compton fork)

%package devel
Summary:	Development files for %{name}
Requires:       %{name}%{?_isa} == %{version}-%{release}

%description devel
%summary.


%prep
%autosetup -n %{name}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSES/*
%{_datadir}/applications/compton.desktop
%{_datadir}/applications/picom.desktop
%{_datadir}/icons/hicolor/48x48/apps/compton.png
%{_datadir}/icons/hicolor/scalable/apps/compton.svg
%{_bindir}/compton
%{_bindir}/compton-trans
%{_bindir}/picom
%{_bindir}/picom-trans
%{_bindir}/picom-inspect
%{_sysconfdir}/xdg/autostart/picom.desktop

%files devel
%{_includedir}/%{name}/api.h
%{_includedir}/%{name}/backend.h
%{_libdir}/pkgconfig/picom-api.pc


%changelog
%autochangelog
